## rust-if-watch 3.2.0

=== debian/changelog ===
rust-if-watch (3.2.0-7) unstable; urgency=medium

  * tighten (build-)dependency for crate async-io

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Feb 2024 18:28:49 +0100

rust-if-watch (3.2.0-6) unstable; urgency=medium

  * relax patch 2001_async_io (see bug#1061669)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 02 Feb 2024 06:40:13 +0100

rust-if-watch (3.2.0-5) unstable; urgency=medium

  * add patch 1002 to add feature fences for tests

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jan 2024 02:35:27 +0100

rust-if-watch (3.2.0-4) unstable; urgency=medium

  * drop patch 2003, obsoleted by Debian package changes;
    provide and autopkgtest feature smol;
    tighten build-dependency for crate rtnetlink;
    build-depend on package for crate smol

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jan 2024 01:45:07 +0100

rust-if-watch (3.2.0-3) unstable; urgency=medium

  * fix patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Jan 2024 01:29:55 +0100

rust-if-watch (3.2.0-2) unstable; urgency=medium

  * fix Vcs-* URIs

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Jan 2024 20:58:18 +0100

rust-if-watch (3.2.0-1) experimental; urgency=medium

  * initial Release;
    closes: bug#1059905

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Jan 2024 13:43:47 +0100
