=== debian/control ===
Source: rust-if-watch
Section: rust
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-cargo,
 librust-async-io-2+default-dev <!nocheck>,
 librust-env-logger-0.10+default-dev <!nocheck>,
 librust-fnv-1+default-dev <!nocheck>,
 librust-futures-0.3+default-dev <!nocheck>,
 librust-if-addrs-0.10+default-dev <!nocheck>,
 librust-ipnet-2+default-dev <!nocheck>,
 librust-log-0.4+default-dev <!nocheck>,
 librust-rtnetlink-0.13+smol-socket-dev,
 librust-rtnetlink-0.13+tokio-socket-dev,
 librust-smol-1+default-dev,
 librust-tokio-1+default-dev <!nocheck>,
 librust-tokio-1+macros-dev <!nocheck>,
 librust-tokio-1+rt-dev <!nocheck>,
 libstring-shellquote-perl,
Standards-Version: 4.6.2
Homepage: https://github.com/mxinden/if-watch
Vcs-Git: https://salsa.debian.org/debian/rust-if-watch.git
Vcs-Browser: https://salsa.debian.org/debian/rust-if-watch
Rules-Requires-Root: no

Package: librust-if-watch-dev
Architecture: all
Depends:
 librust-async-io-2+default-dev,
 librust-fnv-1+default-dev,
 librust-futures-0.3+default-dev,
 librust-if-addrs-0.10+default-dev,
 librust-ipnet-2+default-dev,
 librust-log-0.4+default-dev,
 librust-rtnetlink-0.13+smol-socket-dev,
 librust-rtnetlink-0.13+tokio-socket-dev,
 librust-smol-1+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
 ${misc:Depends},
Provides:
 librust-if-watch-3+default-dev (= ${binary:Version}),
 librust-if-watch-3+smol-dev (= ${binary:Version}),
 librust-if-watch-3+tokio-dev (= ${binary:Version}),
 librust-if-watch-3-dev (= ${binary:Version}),
 librust-if-watch-3.2.0-dev (= ${binary:Version}),
Description: asynchronous network watcher - Rust source code
 if-watch is a cross platform asynchronous network watcher.
 .
 This package contains the source for the Rust if-watch crate,
 packaged for use with cargo and dh-cargo.
