=== debian/tests/control ===
Test-Command:
 /usr/share/cargo/bin/cargo-auto-test if-watch 3.2.0
 --all-targets --all-features
Features: test-name=rust-if-watch:@
Depends:
 dh-cargo,
 librust-env-logger-0.10+default-dev,
 librust-if-watch-dev,
Restrictions: allow-stderr, skip-not-installable

Test-Command:
 /usr/share/cargo/bin/cargo-auto-test if-watch 3.2.0
 --all-targets
Features: test-name=librust-if-watch-dev:default
Depends:
 dh-cargo,
 librust-env-logger-0.10+default-dev,
 librust-if-watch+default-dev,
Restrictions: allow-stderr, skip-not-installable

Test-Command:
 /usr/share/cargo/bin/cargo-auto-test if-watch 3.2.0
 --all-targets --no-default-features
Features: test-name=librust-if-watch-dev:
Depends:
 dh-cargo,
 librust-env-logger-0.10+default-dev,
 librust-if-watch-dev,
Restrictions: allow-stderr, skip-not-installable

Test-Command:
 /usr/share/cargo/bin/cargo-auto-test if-watch 3.2.0
 --all-targets --no-default-features --feature smol
Features: test-name=librust-if-watch-dev:smol
Depends:
 dh-cargo,
 librust-env-logger-0.10+default-dev,
 librust-if-watch+smol-dev,
Restrictions: allow-stderr, skip-not-installable

Test-Command:
 /usr/share/cargo/bin/cargo-auto-test if-watch 3.2.0
 --all-targets --no-default-features --feature tokio
Features: test-name=librust-if-watch-dev:tokio
Depends:
 dh-cargo,
 librust-env-logger-0.10+default-dev,
 librust-if-watch+tokio-dev,
Restrictions: allow-stderr, skip-not-installable
