## rust-if-watch 3.2.1

=== debian/changelog ===
rust-if-watch (3.2.1-9) unstable; urgency=medium

  * update upstream source URIs
  * add patches 1003_if_addrs 1003_rtnetlink
    to use newer branches of crates;
    bump (build-)dependencies
    for crates if-addrs netlink-packet-route rtnetlink;
    closes: bug#1099780,
    thanks to Matthias Geiger and Peter Michael Green
  * declare compliance with Debian Policy 4.7.2

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 08 Mar 2025 16:58:38 +0100

rust-if-watch (3.2.1-8) unstable; urgency=medium

  * add metadata about upstream project
  * update git-buildpackage config:
    + filter out debian subdir
    + simplify usage comments
  * update watch file:
    + improve filename mangling
    + use Github API
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 07 Feb 2025 08:36:11 +0100

rust-if-watch (3.2.1-7) unstable; urgency=medium

  * add patch 1003_env_logger
    to accept newer branch of crate env_logger;
    bump build- and autopkgtest-dependencies for crate rust-env-logger;
    closes: bug#1091218, thanks to NoisyCoil

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 01 Jan 2025 14:03:54 +0100

rust-if-watch (3.2.1-6) unstable; urgency=medium

  * fix autopkgtest syntax

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Nov 2024 02:10:26 +0100

rust-if-watch (3.2.1-5) unstable; urgency=medium

  * rewrite patch 1001
    to tolerate (not really) dead code (not remove it);
    (build-)depend on packages
    for crates netlink-packet-core rtnetlink

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Nov 2024 23:50:09 +0100

rust-if-watch (3.2.1-4) unstable; urgency=medium

  * fix dependency for crate smol

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 28 Nov 2024 11:50:24 +0100

rust-if-watch (3.2.1-3) unstable; urgency=medium

  * drop autopkgtest restriction skip-not-installable
  * fix autopkgtest-depend on versioned crate package

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2024 23:03:43 +0100

rust-if-watch (3.2.1-2) unstable; urgency=medium

  * add patch 1001 to comment out dead code;
    stop (build-)depend on packages for crate rtnetlink;
    fix explicitly (build-)depend on packages
    for crates netlink-sys netlink-packet-route netlink-proto;
    closes: bug#1080138, thanks to Santiago Vila
  * declare crate-related build-dependencies unconditionally,
    i.e. drop broken nocheck annotations

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Nov 2024 13:11:05 +0100

rust-if-watch (3.2.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * stop mention dh-cargo in long description
  * update and unfuzz patches
  * tighten (build-)dependency for crate smol
  * bump project versions in virtual packages and autopkgtests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Nov 2024 03:55:07 +0100

rust-if-watch (3.2.0-11) unstable; urgency=medium

  * reduce autopkgtest to check single-feature tests only on amd64

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Jul 2024 18:17:11 +0200

rust-if-watch (3.2.0-10) unstable; urgency=medium

  * autopkgtest-depend on dh-rust (not dh-cargo)
  * fix patch 1001_smol;
    closes: bug#1076523, thanks to Peter Michael Green

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Jul 2024 21:31:15 +0200

rust-if-watch (3.2.0-9) unstable; urgency=medium

  * simplify packaging;
    build-depend on dh-sequence-rust
    (not dh-cargo libstring-shellquote-perl)
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 12 Jul 2024 14:13:50 +0200

rust-if-watch (3.2.0-8) unstable; urgency=medium

  * drop patch 2001_async_io,
    obsoleted by Debian packaging changes
  * add patch 1001_smol
    to accept newer branch of crate smol;
    relax (build-)dependencies for crate smol
  * update copyright info: fix file path
  * declare compliance with Debian Policy 4.7.0

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 03 Jul 2024 11:41:26 +0200
