=== debian/control ===
Source: rust-if-watch
Section: rust
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Build-Depends:
 cmark-gfm <!nodoc>,
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-async-io-2+default-dev,
 librust-env-logger-0.11+default-dev,
 librust-fnv-1+default-dev,
 librust-futures-0.3+default-dev,
 librust-if-addrs-0.13+default-dev,
 librust-ipnet-2+default-dev,
 librust-log-0.4+default-dev,
 librust-netlink-sys-0.8-dev,
 librust-netlink-packet-core-0.7-dev,
 librust-netlink-packet-route-0.19-dev,
 librust-netlink-proto-0.11-dev,
 librust-netlink-sys-0.8-dev,
 librust-rtnetlink-0.14+smol-socket-dev,
 librust-rtnetlink-0.14+tokio-socket-dev,
 librust-smol-2+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/libp2p/if-watch
Vcs-Git: https://salsa.debian.org/debian/rust-if-watch.git
Vcs-Browser: https://salsa.debian.org/debian/rust-if-watch
Rules-Requires-Root: no

Package: librust-if-watch-dev
Architecture: all
Depends:
 librust-async-io-2+default-dev,
 librust-fnv-1+default-dev,
 librust-futures-0.3+default-dev,
 librust-if-addrs-0.13+default-dev,
 librust-ipnet-2+default-dev,
 librust-log-0.4+default-dev,
 librust-netlink-sys-0.8-dev,
 librust-netlink-packet-core-0.7-dev,
 librust-netlink-packet-route-0.19-dev,
 librust-netlink-proto-0.11-dev,
 librust-rtnetlink-0.14+smol-socket-dev,
 librust-rtnetlink-0.14+tokio-socket-dev,
 librust-smol-2+default-dev,
 librust-tokio-1+default-dev,
 librust-tokio-1+macros-dev,
 librust-tokio-1+rt-dev,
 ${misc:Depends},
Provides:
 librust-if-watch-3+default-dev (= ${binary:Version}),
 librust-if-watch-3+smol-dev (= ${binary:Version}),
 librust-if-watch-3+tokio-dev (= ${binary:Version}),
 librust-if-watch-3-dev (= ${binary:Version}),
 librust-if-watch-3.2.1-dev (= ${binary:Version}),
Description: asynchronous network watcher - Rust source code
 if-watch is a cross platform asynchronous network watcher.
 .
 This package contains the source for the Rust if-watch crate,
 for use with cargo.
