=== debian/rules ===
--- 
+++ 
@@ -9,13 +9,8 @@
 DOCS = README.html README.txt
 endif
 
-# use local fork of dh-cargo and cargo wrapper
-PATH := $(CURDIR)/debian/dh-cargo/bin:$(PATH)
-PERL5LIB = $(CURDIR)/debian/dh-cargo/lib
-export PATH PERL5LIB
-
 %:
-	dh $@ --buildsystem cargo
+	dh $@
 
 %.html: %.md
 	cmark-gfm $< > $@
