=== debian/tests/control ===
# check single-feature tests only on amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test if-watch 3.2.1
 --all-targets --all-features
Features: test-name=rust-if-watch:@
Depends:
 dh-rust,
 librust-env-logger-0.11+default-dev,
 librust-if-watch-3-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test if-watch 3.2.1
 --all-targets
Features: test-name=librust-if-watch-dev:default
Depends:
 dh-rust,
 librust-env-logger-0.11+default-dev,
 librust-if-watch-3+default-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test if-watch 3.2.1
 --all-targets --no-default-features
Features: test-name=librust-if-watch-dev:
Depends:
 dh-rust,
 librust-env-logger-0.11+default-dev,
 librust-if-watch-3-dev,
Restrictions: allow-stderr

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test if-watch 3.2.1
 --all-targets --no-default-features --features smol
Features: test-name=librust-if-watch-dev:smol
Depends:
 dh-rust,
 librust-env-logger-0.11+default-dev,
 librust-if-watch-3+smol-dev,
Restrictions: allow-stderr
Architecture: amd64

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test if-watch 3.2.1
 --all-targets --no-default-features --features tokio
Features: test-name=librust-if-watch-dev:tokio
Depends:
 dh-rust,
 librust-env-logger-0.11+default-dev,
 librust-if-watch-3+tokio-dev,
Restrictions: allow-stderr
Architecture: amd64
